Packages - Housekeeping #3237

Housekeeping # 3018 (open): Various uninstallable packages should be fixed, dropped, or blacklisted.
Packaging Request # 2874 (open): [python2-*]: multiple packages dropped from arch

Remove pcr/python2* and libre/python2*

2022-04-12 06:11 AM - gap

Status: open % Done: 0%
Priority: bug

Assignee:

Category:

Description

Python 2 was deprecated 2 years ago.

This will also help lessen the burden on Parabola package maintenance.

History

#1 - 2022-04-12 11:59 AM - gap

Python 2 packages not required by any other package (may not be exhaustive):
A Python 3 replacement is listed if applicable; is it possible to tell pacman to offer to install the replacement if the original package is no longer found
in the repo?

If it were up to me, all deprecated packages would be removed from the repos, which would include all of the Python 2 packages, with the exception
of the ones which are underway in being replaced.
Until a decision is made, these packages should be relatively uncontroversial to remove:

Python 2 package Python 3 replacement

pcr/python2-arxiv2bib pcr/python-arxiv2bib

pcr/python2-async n/a (deprecated upstream, last updated in 2014)

pcr/python2-authres community/python-authres

pcr/python2-bibtexparser pcr/python-bibtexparser

pcr/python2-carrot community/python-kombu

pcr/python2-empy community/python-empy

pcr/python2-filetype community/python-filetype

pcr/python2-flask-lesscss n/a (last updated in 2010)

pcr/python2-habanero pcr/python-habanero

pcr/python2-interruptingcow n/a (last updated In 2018)

pcr/python2-isbnlib pcr/python-isbnlib

pcr/python2-pefile community/python-pefile (there also appears to be a duplicate in
pcr/python-pefile which is long-outdated)

pcr/python2-pkgtools n/a (last updated in 2013)

pcr/python2-potr community/python-potr

pcr/python2-pyliblzma n/a (LZMA/XZ support has been in the Python standard library since
v3.3)

pcr/python2-pyparser pcr/python-pyparser

pcr/python2-rospkg pcr/python-rospkg

pcr/python2-slugify community/python-slugify

pcr/python2-vestools pcr/python-vestools

pcr/python2-weberror n/a (couldn't find a replacement)

pcr/python2-wsgiref pcr/python-wsgiref

libre/python2-django-jinja libre/python-django-jinja

libre/antlr2-python2 n/a (didn't bother finding a replacement; antlr2 is already outdated due to

community/antlr4)
i686/community/python2-netcdf4-openmpi community/python-netcdf4-openmpi (does the Python 2 package come
from Arch327?)

i686/community/python2-h5py-openmpi community/python-h5py-openmpi (does the Python 2 package come
from Arch327?)

#2 - 2022-04-28 12:39 AM - gap

Should we just remove python2 entirely?

It was deprecated 2 years ago, so security issues are less likely to be fixed, and all issues regarding Python 2 will probably only get worse over time
as it rots away and slowly becomes incompatible with newer versions of its dependencies.

The packages that depend on it should switch away from it anyway.
Moreover, almost all of the application packages that depend on it are in the PCR and as such are not essential to the base system.

#3 - 2022-04-30 03:20 AM - bill-auger
- Parent task set to #3018

python2 is already gone - it is not possible to install any package which depends on python2; so there is no security risk - these packages are only
harmless litter, unless someone want to rescue some of them, such as calibre

#4 - 2022-04-30 03:26 AM - bill-auger
- Parent task changed from #3018 to #2874
